[portland] Python-2.5.1 and SQLite3

Rich Shepard rshepard at appl-ecosys.com
Mon Nov 12 20:28:25 CET 2007

On Mon, 12 Nov 2007, jason kirtland wrote:

> It looks like the slackware package is broken.

   Uh-oh. That's not good.

> You could try rebuilding Python from source and cherry-picking _sqlite3.so
> out of the built files. It's built automatically as part of the extension
> module build process, although it will be quietly omitted if you don't
> have the sqlite headers installed or the compilation otherwise fails.

   I'll try this.

> Using the newer pysqlite you've built instead of the distribution's broken
> sqlite3 is also an option.

   Would I then use the older syntax of 'from pysqlite2 import dbapi2 as
sqlite3' rather than the newer 'import sqlite3?'

Thanks very much, Jason,


Richard B. Shepard, Ph.D.               |  Integrity            Credibility
Applied Ecosystem Services, Inc.        |            Innovation
<http://www.appl-ecosys.com>     Voice: 503-667-4517      Fax: 503-667-8863

More information about the Portland mailing list